dsktrans(1)

NAME
dsktrans - Copy from one floppy or image file to another

SYNOPSIS
dsktrans [-itype TYPE] [-otype TYPE] [-iside SIDE] [-oside SIDE] [-icomp COMP] [-ocomp COMP] [-idstep] [-odstep] [-retry COUNT] [-format FMT] [-first CYLINDER] [-last CYLINDER] [-comment TEXT] [-comment @FILE] [-md3] [-logical] [-apricot] [-pcdos] [-noformat] INPUT-IMAGE OUTPUT-IMAGE

DESCRIPTION
Dsktrans copies floppy discs or disc images, optionally converting the image file type. This simulates the process of copying a floppy disc (read a track, write a track). It requires that the disc or image file has a straightforward geometry where all the tracks are have the same layout of sectors. Interleave is not preserved. See also dskconv(1) for a conversion that can transform one disc image file format to another and does not require a regular geometry; and dskdump(1) for a slower but more accurate copy which may preserve more of these details.

OPTIONS

-itype TYPE
    Determines which driver is to be used to read from the source disc. Some examples are:

    auto
        Select according to the disc image file. This is the default.

    dsk Use the DSK (CPCEmu format) image driver.

    edsk
        Use the extended version of the DSK format.

    floppy
        Use the floppy driver.

    ntwdm
        (Under Windows 2000 and later) Use Simon Owen's FDRAWCMD floppy driver.

    myz80
        Use the hard disk (MYZ80 format) image driver. (This format cannot be autodetected.)

    cfi Use the CFI (DOS fdcopy format) image driver. (This format cannot be autodetected.)

    apridisk
        Use the ApriDisk image driver (from the utility of the same name). (This format cannot be autodetected.)

    raw Use the raw driver.

    logical
        Similar to the raw driver, but the resulting disc image contains tracks laid out in logical filesystem order. Mainly used for imaging discs in formats (such as ADFS) where the mapping of tracks to cylinders/heads does not match the way it's done on the PC.

    qm  Sydex's CopyQM format

    tele
        Sydex's Teledisk format

-otype TYPE
    Determines which driver is to be used to write to the destination disc. The drivers are as for -itype.

-icomp COMP
    Select the compression method used on the source disc image file (has no effect when reading a floppy disc).

    auto
        Detect from the first few bytes of the file. This is the default.

    sq  Huffman coded (SQ / USQ).

    gz  Gzipped (gzip / gunzip).

    bz2 Burrows-Wheeler compressed (bzip2 / bunzip2).

-ocomp COMP
    Select the compression to be used on output. Compression methods are as for -icomp, except that bz2 cannot be used.

-iside SIDE
    Determines which side (0 or 1) of the source disc is to be read from.

-oside SIDE
    Determines which side (0 or 1) of the destination disc is to be written to.

-idstep
    Double-step the source drive (used to read 360k discs in 1.2Mb drives). Only supported by the Linux floppy driver.

-odstep
    Double-step the destination drive (used to write 360k discs in 1.2Mb drives). Only supported by the Linux floppy driver.

-retry COUNT
    Set the number of times to attempt a read/write/format in case of error.

-format FMT
    Do not autodetect the disc format; use the named format.

-first CYL
    Start copying at the specified cylinder. Cylinders prior to this will not be formatted or written.

-last CYL
    Copy up to and including the specified cylinder.

-comment TEXT
    Set the comment field in the disc image to the specified text (if supported by the image file format).

-comment @FILE
    Set the comment field in the disc image to the contents of the specified disc file (if supported by the image file format). If the filename is "-" (i.e. -comment @- ) then you will be asked to type the comment, terminated with a "." on a line by itself.

-odstep
    Double-step the destination drive (used to write 360k discs in 1.2Mb drives). Only supported by the Linux floppy driver.

-md3
    Defeat MicroDesign 3 copy protection. Note that this does not make dsktrans a circumvention device, since the authors of MicroDesign have placed it in the public domain and given permission for the copy-protection to be reverse engineered; I posted their original press release to USENET as <1008359853.26849.0.nnrp-13.c2de7091@news.demon.co.uk>.

-pcdos
    Convert the first sector from an Apricot superblock to a PC-DOS superblock. This allows Apricot-format discs to be imaged as files (with the output image type as raw) and then loopback-mounted under Linux.

-apricot
    Reverse -pcdos, and convert the first sector from a PC-DOS superblock to an Apricot superblock. Note that this is the opposite of what this option did in LibDsk 1.1.9 and earlier.

-logical
    Rearrange the tracks in the logical order. This option has been superseded; instead you should use -otype logical to output to a logically-sectored raw image.

-noformat
    Don't format the target disc/image - assume it's in the correct format already.

SEE ALSO
dskconv(1), dskdump(1)

AUTHOR
John Elliott <seasip.webmaster@gmail.com>.

Darren Salt wrote the man pages.